#
# spec file for package flashfocus
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           flashfocus
Version:        1.2.1
Release:        lp151.2.1
Summary:        Focus animations for tiling window managers
License:        MIT
Group:          System/X11/Utilities
URL:            https://github.com/fennerm/flashfocus
Source:         https://github.com/fennerm/flashfocus/archive/v%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  libffi-devel
BuildRequires:  libxcb-devel
BuildRequires:  python3
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-setuptools
Requires:       python3-PyYAML >= 3.0
Requires:       python3-cffi
Requires:       python3-click
Requires:       python3-marshmallow
Requires:       python3-xcffib
Requires:       python3-xpybutil
Recommends:     compton
BuildArch:      noarch

%description
Focus animations for tiling window managers. Compatible with all X based window managers.

%prep
%setup -q
sed -i "s/#!\/usr\/bin\/env bash/#!\/bin\/bash/" bin/nc_flash_window

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --optimize=2 --root=%{buildroot}
%fdupes -s %{buildroot}

%files
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/flash_window
%{_bindir}/flashfocus
%{_bindir}/nc_flash_window
%{python3_sitelib}/flashfocus*

%changelog
* Wed Jan 30 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Fix build with python 3.7
* Mon Jan 28 2019 mvetter@suse.com
- Update to 1.2.1:
  * Reverted Pyyaml requirement to >3.0
* Tue Jan 22 2019 mvetter@suse.com
- Update to 1.2.0:
  * Added flash-lone-windows CLI option.
  * Added: ability to set custom config file location with --config flag
  * Fixed: Use marshmallow strict mode due to deprecation warning
  * Fixed: Updated pyaml version in requirements due to security vulnerability
* Mon Oct 15 2018 mvetter@suse.com
- Update to 1.1.1:
  * Implemented flash-lone-windows configuration option
    (see default config file for details)
  * Added flash-lone-windows CLI option
* Thu Sep  6 2018 mvetter@suse.com
- Update to 1.0.9:
  * Improved test suite runtime
  * Fix uncaught AttributeError when RuleMatcher returns None
  * Fix bug which broke window flashing with transparent windows(#18)
  * Code refactoring
* Thu Jun  7 2018 mvetter@suse.com
- Fix /bin/bash path
* Wed Jun  6 2018 mvetter@suse.com
- Only replace env in nc_flash_window via sed
* Wed Jun  6 2018 mvetter@suse.com
- Recommend compton
* Wed Jun  6 2018 mvetter@suse.com
- Initial package in version 1.0.7 for openSUSE
